//
// foundation/helpers/flexbox
//

@mixin grid-utils() {
  @each $breakpoint in map-keys($breakpoints) {
    @each $property in $properties {
      @each $value in $values {
        @if (map-get($breakpoints, $breakpoint) == 0) {
          .#{$property}-#{$value} {
            #{$property}: unquote($value);
          }
        } @else {
          @include mq(#{$breakpoint}) {
            .#{$property}-#{$value}-#{$breakpoint} {
              #{$property}: unquote($value);
            }
          }
        }
      }
    }
  }
}

$properties: "justify-content", 'align-content';
$values: "start", "end", "center", "stretch", "space-around", "space-between", 'space-evenly';

@include grid-utils() $properties: "justify-items", "justify-self", "align-items", 'align-self';
$values: "start", "end", "flex-start", "flex-end", "center", 'stretch';

@include grid-utils()